/**
 * XEntityClassPersonOrOrgReceiving.java
 *
 * File generated from the medication::XEntityClassPersonOrOrgReceiving uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XEntityClassPersonOrOrgReceiving.
 *
 * 
 */

@XmlType(name = "XEntityClassPersonOrOrgReceiving")
@XmlEnum
@XmlRootElement(name = "XEntityClassPersonOrOrgReceiving")
public enum XEntityClassPersonOrOrgReceiving {
	@XmlEnumValue("PSN")
	PSN("PSN"),
	@XmlEnumValue("ORG")
	ORG("ORG"),
	@XmlEnumValue("PUB")
	PUB("PUB"),
	@XmlEnumValue("STATE")
	STATE("STATE"),
	@XmlEnumValue("NAT")
	NAT("NAT");
	
	private final String value;

    XEntityClassPersonOrOrgReceiving(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static XEntityClassPersonOrOrgReceiving fromValue(String v) {
        for (XEntityClassPersonOrOrgReceiving c: XEntityClassPersonOrOrgReceiving.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}